Subject: Re: bug#15906: 24.3.50; Rename `highlight-*' functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2016 16:08:30 +0200

Drew Adams <[email-masked]> writes:

> The prefix `highlight-' should not be used for something as specific as
> `hi-lock' highlighting or highlighting to show changes.  There are lots
> of different kinds of highlighting in Emacs.  And third party libraries
> provide many more ways.  The latter are requested by convention to use a
> library prefix.
>
> Hi Lock is one kind of highlighting, and quite particular.  The "lock"
> part of its name is significant - it differentiates this highlighting
> from other highlighting, and it should be present in the function names.
>
> These are the functions to rename, with suggested renamings:
>
> highlight-lines-matching-regexp    -> hi-lock-lines-matching-regexp
> highlight-phrase                   -> hi-lock-phrase
> highlight-regexp                   -> hi-lock-regexp
> highlight-changes-mode             -> hilit-changes-mode
> highlight-changes-next-change      -> hilit-changes-next-change
> highlight-changes-previous-change  -> hilit-changes-previous-change
> highlight-changes-remove-highlight -> hilit-changes-remove-highlight
> highlight-changes-rotate-faces     -> hilit-changes-rotate-faces
> highlight-changes-visible-mode     -> hilit-changes-visible-mode
> highlight-compare-buffers          -> hilit-compare-buffers
> highlight-compare-with-file        -> hilit-compare-with-file

It is perhaps unfortunate that hi-lock has taken these prefixes, but
changing this at this point would be too much churn for little gain.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no